/*
  inputdialog.cpp
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#include "inputdialog.h"
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>

#define DIALOG_WIDTH  400
#define DIALOG_HEIGHT (40)

InputDialog::InputDialog(QWidget* parent, const char* name, bool modal,
						 WFlags fl)
	: QDialog(parent, name, modal, fl)
{
	resize( QSize(DIALOG_WIDTH, DIALOG_HEIGHT).expandedTo(minimumSizeHint()) );

	setCaption(name);

	QHBoxLayout *base_box = new QHBoxLayout(this, 3, 3);

	line = new QLineEdit(this);
	base_box->addWidget(line);

#ifndef QWS
	QPushButton *button = new QPushButton("OK", this);
	button->setFixedWidth(60);
	base_box->addWidget(button);

	connect(button, SIGNAL(clicked()), this, SLOT(accept()));
#endif
}

InputDialog::~InputDialog()
{
}

void InputDialog::setText(QString const &str)
{
	line->setText(str);
}

QString InputDialog::getText()
{
	return line->text();
}
