/*
  progressdialog.cpp
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#include "progressdialog.h"
#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qprogressbar.h>
#include <qlayout.h>
#include <qtimer.h>
#include <qapplication.h>
#include <qframe.h>
#include <qpixmap.h>

ProgressDialog::ProgressDialog(QWidget * parent, const char * name) :
	QDialog(parent, name, false, 
		0x21d3)
{
	QVBoxLayout *vbox;

	setMinimumWidth(300);

	vbox = new QVBoxLayout(this, 5);

	label = new QLabel(QString::fromUtf8("text"), this);
	label->setAlignment(Qt::AlignHCenter | Qt::AlignVCenter);
	vbox->addWidget(label);

	progress = new QProgressBar(this);
	progress->setCenterIndicator(true);
	progress->setFrameShape(QFrame::WinPanel);
	progress->setFrameShadow(QFrame::Sunken);
	vbox->addWidget(progress);
}

ProgressDialog::~ProgressDialog()
{
}

void ProgressDialog::setStep(QString const &str, int value)
{
	label->setText(str);
	progress->setProgress(value);
	qApp->processEvents();
}

void ProgressDialog::setMax(int max)
{
	progress->setTotalSteps(max);
}
